\version "2.12.0"
\include "deutsch.ly"


% Ukazi za neporavnane pavze
npavze = {
	\revert Rest #'staff-position
	\revert MultiMeasureRest #'staff-position
}

% Ukazi za poravnane pavze
ppavze = {
	\override Rest #'staff-position = #0
	\override MultiMeasureRest #'staff-position = #0
}

% Koliko zlogov preskočimo?
preskoci = #(define-music-function (parser location steviloZlogov) (integer?) #{
	\repeat "unfold" $steviloZlogov \skip 1
#})


\header {
	title = "Sanctus"
	subtitle = ""
	composer = "Charles Gounod"
	arranger = ""
	instrument = ""
	metre = ""
	opus = ""
	piece = ""
	poet = ""
	tagline = ""
	copyright = ""
}

\paper {
	set-paper-size = "a4"
	top-margin = 10\mm
	bottom-margin = 8\mm
	left-margin = 15\mm
	line-width = 182\mm
	% Začetna številka strani
	first-page-number = #6
	print-first-page-number = ##t
	% Številčenje strani naj se vrši na sredini spodaj
	oddHeaderMarkup = \markup \fill-line { " " }
	evenHeaderMarkup = \markup \fill-line { " " }
	oddFooterMarkup = \markup { \fill-line {
		\fontsize #2 \on-the-fly #print-page-number-check-first
		\fromproperty #'page:page-number-string }
	}
	evenFooterMarkup = \markup { \fill-line {
		\fontsize #2 \on-the-fly #print-page-number-check-first
		\fromproperty #'page:page-number-string }
	}
}

global = {
	% Tonaliteta in taktovski način
	%\key c \major
	\key b \major
	\time 4/4
	% Velikost notnega črtovja
	#(set-global-staff-size 18.0)
	% Ne izpisuj večtaktnih pavz
	\set Score.skipBars = ##t
	% Enoten znak za večtaktne pavze
	\override MultiMeasureRest #'expand-limit = 1
	% Samodejne zastavice izklopljene
	\autoBeamOff
	% Sredinsko poravnane pavze
	\ppavze
}


besedilo = \lyricmode {
	San -- ctus, San -- ctus, San -- ctus Do -- mi -- nus De -- us Sa -- ba -- oth, San -- ctus, San -- ctus, San -- ctus Do -- mi -- nus De -- us Sa -- ba -- oth. Ple -- ni sunt coe -- li et ter -- ra glo -- ri -- a tu -- a. \skip 1 Ple -- ni sunt coe -- li et ter -- ra glo -- ri -- a tu -- a. Ho -- san -- na, ho -- san -- na, ho -- san -- na in ex -- cel -- sis, ho -- san -- na, ho -- sa -- na, ho -- san -- na in ex -- cel -- sis. __
}


sopran = \relative c'' {
	% Oznake za glasnost gor
	\dynamicUp

	% Sanctus
	R1 ^\markup{\bold "Andante"}
	g2 \f g4 r
	c2 c4 r
	e2 d
	c4.. c16 c2
	a2 d
	c2 (h4..) h16
	c2. r4
	g2 \p g4 r4
	c2 c4 r
	e2 ^\markup{"cresc. poco"} d2
	c4.. c16 c2
	h2 c
	h2 \> (a4..) a16 \!
	g2. r4

	% Pleni sunt coeli
	\hideNotes << R1 {c2 c4 c} >> \unHideNotes
	\hideNotes << R1 {c2 c4 c} >> \unHideNotes
	\hideNotes << R1 {c2 c} >> \unHideNotes
	\hideNotes << R1 {c4.. c16 c2} >> \unHideNotes
	\hideNotes << R1 {c2 c4 c4} >> \unHideNotes
	\hideNotes << R1 {c2 c4 c} >> \unHideNotes
	\hideNotes << R1 {c2 c4 c} >> \unHideNotes
	\hideNotes << R1 {c2 c2} >> \unHideNotes
	\hideNotes << R1 {c4.. c16 c2} >> \unHideNotes

	% Hosanna
	\hideNotes << r2 r4 {c2 c4} >> \unHideNotes r8. g16 \mf
	g2 e4 r8. c'16
	c2 g4 r8. e'16 \f
	e4 d c h
	a2 g4 r8. c16 \mf
	c2 h4 r8. d16
	d2 c4 r8. c16 \f
	c4 f e d
	e2 (d)
	c1 ~
	c4 r4 r2
	\bar "|."
}

alt = \relative c'' {

	% Sanctus
	R1
	g2 g4 r
	e2 e4 r
	g2 f
	e4.. e16 e2
	f2 f
	e2 (d4..) d16
	c2. r4
	g'2 g4 r
	e2 e4 r
	g2 f
	e4.. e16 fis2
	g2 a
	g2 (fis4..) fis16
	g2. r4

	% Pleni sunt coeli
	R1*9

	% Hosanna
	r2 r4 r8. g16
	e2 c4 r8. e16
	e2 e4 r8. c'16
	c4 h a g
	f2 e4 r8. e16
	e2 d4 r8. f16
	f2 e4 r8. a16
	a4 f g a
	g2 (f)
	e1 ~
	e4 r4 r2
	\bar "|."

}

tenor = \relative c' {

	% Sanctus
	R1
	e2 \f e4 r
	c2 c4 r
	c2 h2
	c4.. c16 c2
	c2 d
	e2 (f4..) f16
	e2. r4
	e2 \p e4 r
	c2 c4 r
	c2 _\markup{"cresc. poco"} h
	c4.. c16 a2
	g2 e'
	d2 \> (c4..) c16 \!
	h2. r4

	% Pleni sunt coeli
	g2 \f g4 g
	a2 a4 a
	h2 h
	c4.. c16 c2
	\npavze c2 h4 r \ppavze
	h2 \f h4 h
	c2 c4 c
	d2 d
	e4.. e16 e2
	e2 d4 r8. g,16 \mf

	% Hosanna
	c2 g4 r8. c16
	c2 c4 r8. e16 \f
	e4 d c h
	a2 c4 r8. c16 \mf
	c2 d4 r8. d16
	h2 c4 r8. c16 \f
	c4 c c c
	c2 (h) \glissando
	c1 ~
	c4 r4 r2
	\bar "|."
}

bas = \relative c' {

	% Sanctus
	R1
	c2 c4 r
	a2 a4 r
	e2 g
	a4.. a16 g2
	f2 d
	g2 (g4..) g16
	<c, g'>2. r4
	c'2 c4 r
	a2 a4 r
	e2 g
	a4.. a16 dis,2
	e2 c
	d2 (d4..) d16
	g2. r4

	% Pleni sunt coeli
	\override MultiMeasureRest #'staff-position = #-3
	R1*5
	\ppavze
	g2 g4 g
	a2 a4 a
	h2 h
	c4.. c16 c2
	c2 h4 r8. g16

	% Hosanna
	c2 c,4 r8. c'16
	c2 c,4 r8. c'16
	c4 h a g
	f2 c4 r8. c'16
	c2 g4 r8. g16
	g2 a4 r8. a16
	f4 d e f
	g1
	<c, ~ g' ~>1
	<c g'>4 r4 r2
	\bar "|."
}


\score {
	\new ChoirStaff <<

		\new Staff = visokiGlasovi <<
			\new Voice = "soprani" \with { \consists "Ambitus_engraver" } {
				\voiceOne << \global \transpose c b, \sopran >>
			}
			\new Voice = "alti" \with { \consists "Ambitus_engraver" } {
				\voiceTwo << \global \override Ambitus #'X-offset = #2.0 \transpose c b, \alt >>
			}
		>>
		\new Lyrics \lyricsto "soprani" { \besedilo }

		\new Staff = nizkiGlasovi <<
			\clef bass
			\new Voice = "tenorji" \with { \consists "Ambitus_engraver" } {
				\voiceOne << \global \transpose c b, \tenor >>
			}
			\new Voice = "basi" \with { \consists "Ambitus_engraver" } {
				\voiceTwo << \global \override Ambitus #'X-offset = #2.0 \transpose c b, \bas >>
			}
		>>

	>>

	\layout {
		\context {
			% Besedilo je bližje črtovju
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
		}
	}

}